package es

import (
	"context"
	"fmt"
	"git.168cad.top/zhengqiuyun/rym-util/conf"
	"git.168cad.top/zhengqiuyun/rym-util/log"
	"github.com/olivere/elastic/v7"
	_log "log"
	"os"
)

func TestLog() {
	log.Info("Es 测试")
}

var client *elastic.Client

func Init() {
	host := fmt.Sprintf("http://%s:%d", conf.Es.ServerHost, conf.Es.ServerPort)
	var err error
	errorLog := _log.New(os.Stdout, "APP", _log.LstdFlags)
	client, err = elastic.NewClient(elastic.SetErrorLog(errorLog), elastic.SetURL(host))
	if err != nil {
		log.Error(fmt.Sprintf("Elasticsearch connect error:%s", err.Error()))
	} else {
		info, code, err := client.Ping(host).Do(context.Background())
		if err != nil {
			panic(err)
		}
		log.Info(fmt.Sprintf("Elasticsearch connect %d", code))
		log.Info(fmt.Sprintf("Elasticsearch version %s", info.Version.Number))
	}
}

func getRedisClient() *elastic.Client {
	return client
}
